ダウンロードリスト

Sponsored link

プロジェクト概要

!GtkEditor は GTK + 用ソース コード エディター ウィジェットです。それは現在使用されて、1 つのバージョンまたは別のいくつかの GTK + ジッド、VDKBuilder、GXEdit などの GNOME アプリケーション。Gtkeditor ウィジェット gtktext ウィジェットをサブクラスし、初期化の後、エディター ウィジェットは通常テキスト ウィジェットとして処理できるすべてのソース コードの編集機能は、ウィジェット自身によっての世話します。エディターの動作は、ウィジェットの初期化中に読み込まれたダイナミック ライブラリによって決定されます。これらのライブラリは、手動コーディングまたは (将来) !GtkEditor に付属しているツールを使用して作成できます。

システム要件

システム要件が設定されていません
プロジェクトのリリース情報やプロジェクトリソースの情報です。
注: プロジェクトリソースの情報は Freecode.com ページからの引用です。ダウンロードそのものは、OSDNにホスティングされているものではありません。

2001-01-30 15:12
0.1.8

唯一の主要な変更は、TkTextウィジェットへのポートです。軽微な変更のいくつかの新しいスキャナとバグ修正の数が含まれます。
The only major change is the port to the TkText widget. Minor changes include a few new scanners and a number of bugfixes.

2001-01-30 15:12
0.1.5

分離スキャナの構成およびエディタ(スキャナのlexで指定された言語のようにして提供されるツールを使ってコンパイルされた。かれらのいずれかを実行時またはロードすることができます静的にアプリケーションにリンクされて)、ブロックのほか、スキャナにハイライト/コードのハイライトいくつかの新しいスキャナ、およびバグ修正の数です。
Separation of scanner configuration and editor (scanners are specified in a lex-like language and compiled with a provided tool; they can then either be loaded at runtime or statically linked with applications), addition of block highlighting to the scanner/highlighting code, a few new scanners, and a number of bugfixes.

2001-01-30 15:12
0.1.0

ウィジェットは、もはやgtksctextウィジェット上でしかGtkTextのウィジェットに依存します。強調表示ルーチンの再設計されていると、結果として、かなりのスピードアップと実装をおこないました。エディタウィジェットには大幅な設計変更を行ってきた。結果として、APIが多少変更されました。新しいデザインは、プロジェクトのホームページで説明されます。
The widget is no longer dependent on the gtksctext widget but only the gtktext widget. The highlighting routines have been redesigned and reimplemented with considerable speedup as a result. The editor widget has gone through a major redesign. As a consequence, the API has changed somewhat. The new design is described at the project homepage.

2001-01-30 15:12
0.0.6

このリリースではサブをハイライトするための構文をブロック内の文字は、レジスタを使用するエスケープシーケンスパターン、およびネストされた構文のブロックを紹介します。
This release introduces escape characters in syntax blocks, use of
registers for highlighting sub-patterns, and nested syntax blocks.

2001-01-30 15:12
0.0.5

gtkのバージョンで動作するようにハッキングされる"= 1.1.7
Hacked to work with gtk versions >= 1.1.7

プロジェクトリソース